/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.ArrayList;
import java.util.Observable;

/**
 * Clase Reunion, clase que crea una reunion
 * @author MW3 Software
 */
public class Reunion extends Observable{

    /**
     * Nombre de la Reunion
     */
    private String nombre;
    /**
     * Autores que han creado la Reunion
     */
    private String autores;
    /**
     * Fuentes de informacion
     */
    private String fuentes;
    /**
     * resultados de la Reunion
     */
    private String resultados;
    /**
     * Lugar de la Reunion
     */
    private String lugar;
    /**
     * Cometarios de la Reunion
     */
    private String comentario;
    /**
     * Asistentes a la reunion
     */
    private String asistentes;

    /**
     * Metodo que devuelve el nombre
     * @return devuelve el nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * Metodo que almacena el nombre
     * @param nombre nuevo valor de nombre de la Reunion
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve los autores
     * @return devuelve los autores
     */
    public String getAutores() {
        return autores;
    }

    /**
     * Metodo que almacena los autores
     * @param autores nuevo valor de Autores de la Reunion
     */
    public void setAutores(String autores) {
        this.autores = autores;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve las fuentes
     * @return devuelve el las fuentes
     */
    public String getFuentes() {
        return fuentes;
    }

    /**
     * Metodo que almacena las fuentes
     * @param fuentes nuevo valor de fuentes de la Reunion
     */
    public void setFuentes(String fuentes) {
        this.fuentes = fuentes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve los resultados
     * @return devuelve los resultados
     */
    public String getResultados() {
        return resultados;
    }

    /**
     * Metodo que almacena los resultados
     * @param resultados nuevo valor de resultados de la Reunion
     */
    public void setResultados(String resultados) {
        this.resultados = resultados;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve el lugar
     * @return devuelve el lugar
     */
    public String getLugar() {
        return lugar;
    }

    /**
     * Metodo que almacena el lugar
     * @param lugar nuevo valor de lugar de la Reunion
     */
    public void setLugar(String lugar) {
        this.lugar = lugar;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve los Comentarios
     * @return devuelve los comentarios
     */
    public String getComentario() {
        return comentario;
    }

    /**
     * Metodo que almacena los comentarios
     * @param comentario nuevo valor de comentario de la Reunion
     */
    public void setComentario(String comentario) {
        this.comentario = comentario;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve los asistentes
     * @return devuelve los asistentes
     */
    public String getAsistentes() {
        return asistentes;
    }

    /**
     * Metodo que almacena los asistentes
     * @param Asistentes nuevo valor de Asistentes de la Reunion
     */
    public void setAsistentes(String Asistentes) {
        this.asistentes = Asistentes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }


}
